Package org.drinkless.tdlib

# Class TdApi.PinChatMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.PinChatMessage

Enclosing class:
  TdApi

public static class TdApi.PinChatMessage extends TdApi.Function<TdApi.Ok>
Pins a message in a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `disableNotification`
  Pass true to disable notification about the pinned message.
  `long`
  `messageId`
  Identifier of the new pinned message.
  `boolean`
  `onlyForSelf`
  Pass true to pin the message only for self; private chats only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PinChatMessage()`
  Default constructor for a function, which pins a message in a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.
  `PinChatMessage(long chatId, long messageId, boolean disableNotification, boolean onlyForSelf)`
  Creates a function, which pins a message in a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat.

  - ### messageId

    public long messageId
    Identifier of the new pinned message.

  - ### disableNotification

    public boolean disableNotification
    Pass true to disable notification about the pinned message. Notifications are always disabled in channels and private chats.

  - ### onlyForSelf

    public boolean onlyForSelf
    Pass true to pin the message only for self; private chats only.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PinChatMessage

    public PinChatMessage()
    Default constructor for a function, which pins a message in a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.

    Returns `Ok`

  - ### PinChatMessage

    public PinChatMessage(long chatId, long messageId, boolean disableNotification, boolean onlyForSelf)
    Creates a function, which pins a message in a chat; requires canPinMessages member right if the chat is a basic group or supergroup, or canEditMessages administrator right if the chat is a channel.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat.
      `messageId` - Identifier of the new pinned message.
      `disableNotification` - Pass true to disable notification about the pinned message. Notifications are always disabled in channels and private chats.
      `onlyForSelf` - Pass true to pin the message only for self; private chats only.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR